.main-section {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 99;
  padding: 16px 0;
  background: #1b1a19;
}

.header-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header-logo {
  display: block;
  width: 192px;
  transition: transform 0.3s ease;
}

.header-logo:hover {
  transform: scale(0.9);
}

.page-nav {
  display: none;
}

.page-nav-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 33px;
}

.page-nav-link {
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 16px;
  line-height: 150%;
  text-transform: uppercase;
  color: #aeaeae;
  transition: border-color 0.3s ease;
}

.page-nav-link:hover {
  color: #fff;
}

.menu-btn {
  svg {
    fill: none;
    stroke: #fff;
    transition: stroke 0.3s ease;
  }
}

.menu-btn:hover {
  svg {
    stroke: #fd900e;
  }
}

@media screen and (min-width: 1440px) {
  .main-section {
    padding: 24px 0;
  }

  .page-nav {
    display: block;
  }

  .menu-btn {
    display: none;
  }
}

/* modal  */

.menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 8;
  padding: 40px;
  padding-top: 120px;
  backdrop-filter: blur(4px);
  background: #262626;
  transform: translateY(-100%);
  transition: transform 1s ease;
}

.menu-nav-list {
  flex-direction: column;
}

/* popup */

.page-popup {
  position: fixed;
  z-index: 10;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);

  border: 1px solid #fd480e;
  border-radius: 24px;
  padding: 48px 20px;
  background: #0c0c0c;

  transition: transform 0.6s ease;
}

.popup-title {
  font-family: var(--font-family);
  font-weight: 700;
  font-size: 28px;
  line-height: 114%;
  text-transform: uppercase;
  text-align: center;
  color: #fd900e;
  margin-bottom: 28px;
}

.popup-text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  text-transform: uppercase;
  text-align: center;
  color: #fff;
  margin-bottom: 28px;
}

.popup-btn {
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 14px;
  color: #fff;
  text-align: center;
  display: block;

  border: 1.6px solid rgba(240, 234, 222, 0.2);
  border-radius: 48px;
  padding: 12px 20px;
  background: #292524;
  transition:
    opacity 0.3s ease,
    box-shadow 0.3s ease;
}

.popup-btn:hover {
  border-color: #fd900e;
  color: #fd900e;
}

.popup-wrap {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

@media screen and (min-width: 1440px) {
  .page-popup {
    padding: 48px;
  }

  .popup-title {
    font-size: 40px;
    margin-bottom: 28px;
  }

  .popup-text {
    font-size: 20px;
    margin-bottom: 28px;
  }

  .popup-wrap {
    flex-direction: row;
    gap: 36px;
    justify-content: center;
  }

  .popup-btn {
    font-size: 14px;
    padding: 12px 85px;
  }
}

/* hero  */

.dashboard {
  padding-top: 70px;
}

.hero-container {
  padding: 0;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.hero-content {
  padding: 0 20px;
}

@media screen and (min-width: 768px) {
  .hero-content {
    padding: 0 32px;
  }
}

@media screen and (min-width: 1440px) {
  .dashboard {
    padding-top: 90px;
    padding-bottom: 0;
  }

  .hero-container {
    flex-direction: row;
    align-items: center;
    gap: 48px;
  }

  .hero-img {
    flex-shrink: 0;
  }

  .hero-content {
    padding: 0;
    padding-right: 100px;
  }
}

/* balance */

#balance {
  background: #161616;
}

.balance-content {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.balance-text {
  margin-bottom: 24px;
  color: #fff;
}

.balance-img {
  width: 100%;
}

@media screen and (min-width: 1440px) {
  .balance-content {
    flex-direction: row;
    align-items: center;
    gap: 24px;
  }

  .balance-img {
    width: auto;
  }
}

/* comfort */

.comfort-swiper {
  margin-bottom: 28px;
  margin-top: 28px;
}

.comfort-slide {
  img {
    width: 100%;
  }
}

.swiper-btn-wrap {
  display: flex;
  justify-content: center;
  gap: 40px;
}

.swipre-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  background-color: #fff;
  border: 1px solid #292929;
  transition: background-color 0.3s ease;

  svg {
    fill: none;
    transition: stroke 0.3s ease;
    stroke: #292929;
  }
}

.swipre-btn:hover {
  background-color: #292929;

  svg {
    stroke: #fff;
  }
}

.comfort-prev {
  transform: rotate(-90deg);
}

.comfort-next {
  transform: rotate(90deg);
}

.comfort-pagination {
  display: none;
}

@media screen and (min-width: 1440px) {
  .comfort-container {
    position: relative;
  }

  .comfort-pagination {
    display: block;
    text-align: center;
  }

  .comfort-prev {
    position: absolute;
    z-index: 2;
    top: 50%;
    left: 100px;
    transform: rotate(-90deg) translateX(-50%) translateY(-50%);
  }

  .comfort-next {
    position: absolute;
    z-index: 2;
    top: 50%;
    right: 100px;
    transform: rotate(90deg) translateX(50%) translateY(-50%);
  }

  .swiper-pagination-bullet-active {
    background-color: #292929;
  }
}

/* game */

#game {
  background: #161616;
}

.game-content {
  border-radius: 4px;
  padding: 35px 32px;
  padding-bottom: 273px;
  background-image:
    linear-gradient(270deg, rgba(8, 4, 1, 0.96) 0%, rgba(8, 4, 1, 0) 100%),
    url(../img/game.jpg);
  background-position: center;
  background-size: cover;
}

.game-text {
  color: #fff;
}

@media screen and (min-width: 1440px) {
  .game-content {
    padding: 104px 50px;
    padding-bottom: 219px;
  }

  .game-text {
    width: 408px;
  }
}

/* designed  */

.designed-swiper {
  margin-bottom: 28px;
}

.designed-slide {
  background-color: #efefef;
  border-radius: 8px;
  padding: 16px;
  min-height: 460px;

  p {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 14px;
    line-height: 171%;
    text-align: center;
    color: #000;
    margin-top: 24px;
  }
}

.designed-prev {
  transform: rotate(-90deg);
}

.designed-next {
  transform: rotate(90deg);
}

@media screen and (min-width: 1440px) {
  .designed-btns {
    display: none;
  }
  .designed-slide {
    min-height: 490px;
  }
}

/* space  */

#space {
  background-image: url(../img/18.jpg);
  background-position: center;
  background-size: cover;
}

.space-desc {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 18px;
  line-height: 156%;
  text-align: center;
  color: #fff;
  margin-top: 18px;
}

@media screen and (min-width: 1440px) {
  #space {
    padding: 148px 0;
  }

  .space-desc {
    font-size: 24px;
  }
}

/* entertainment  */

.entertainment-container {
  display: flex;
  flex-direction: column;
  gap: 28px;
}

.entertainment-desc {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 40px;
  line-height: 100%;
  color: #000;
  margin-top: 28px;
}

@media screen and (min-width: 1440px) {
  .entertainment-container {
    flex-direction: row-reverse;
    align-items: center;
    gap: 38px;
  }

  .entertainment-img {
    flex-shrink: 0;
  }
}

/* safety  */

#safety {
  background: #161616;
}

.safety-wrap {
  padding: 36px 20px;
  padding-bottom: 162px;
  color: #fff;
  background:
    linear-gradient(207deg, rgba(8, 4, 1, 0.96) 0%, rgba(8, 4, 1, 0) 100%),
    url(../img/safety.jpg);
  background-position: center;
  background-size: cover;
}

.safety-text {
  color: #fff;
}

@media screen and (min-width: 1440px) {
  .safety-wrap {
    padding: 44px;
    padding-bottom: 357px;
  }
  .safety-text {
    width: 498px;
    margin-left: auto;
  }
}

/* contact   */

.contact-container {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.map-frame {
  height: 335px;
  width: 100%;
  z-index: 2;
}

.contact-list {
  display: flex;
  margin-top: 28px;
  flex-wrap: wrap;
  gap: 16px;

  p {
    font-family: var(--second-family);
    font-weight: 400;
    font-size: 32px;
    line-height: 100%;
    color: #000;
    margin-bottom: 12px;
  }

  a,
  span {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 14px;
    line-height: 171%;
    color: #000;
  }

  a:hover {
    text-decoration: underline;
  }
}

@media screen and (min-width: 768px) {
  .map-frame {
    height: 488px;
  }
}

@media screen and (min-width: 1440px) {
  .contact-container {
    flex-direction: row-reverse;
    align-items: center;
    gap: 48px;
  }

  .map-frame {
    width: 488px;
    height: 488px;
    flex-shrink: 0;
  }

  .contact-list {
    gap: 28px;
    align-items: flex-start;
  }
}

/* footer */

.footer {
  padding: 36px 0;
  background: #0d0d0d;
}

.footer-logo {
  display: block;
  width: 209px;
  margin: 0 auto;
  margin-bottom: 12px;
  transition: transform 0.3s ease;
}

.footer-logo:hover {
  transform: scale(0.9);
}

.footer-mail {
  display: block;
  font-family: var(--font-family);
  font-weight: 300;
  font-size: 16px;
  line-height: 150%;
  text-align: center;
  color: #aeaeae;
  margin-bottom: 28px;
  transition: color 0.3s ease;
}

.footer-mail:hover {
  color: #fff;
}

.footer-content {
  padding-bottom: 32px;
  margin-bottom: 24px;
  border-bottom: 2px solid #272727;
}

.footer-list {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 12px 20px;

  li {
    width: calc((100% - 20px) / 2);
  }

  a {
    font-family: var(--font-family);
    font-weight: 300;
    font-size: 16px;
    line-height: 150%;
    color: #aeaeae;
    transition: color 0.3s ease;
  }

  a:hover {
    color: #fff;
  }
}

.footer-text {
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 16px;
  text-align: center;
  color: #aeaeae;
}

@media screen and (min-width: 1440px) {
  .footer {
    padding: 48px 0;
  }

  .footer-content {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 100px;
  }

  .footer-list {
    gap: 12px 100px;

    li {
      width: calc((100% - 300px) / 4);
    }

    a {
      font-size: 16px;
    }
  }
}

/* scroll */

#scrollTopBtn {
  position: fixed;
  bottom: 30px;
  right: 20px;
  border: 1px solid #292929;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 60px;
  width: 60px;
  border-radius: 50%;

  z-index: 7;
  opacity: 0;
  transform: translateY(20px);
  pointer-events: none;
  transition:
    opacity 0.4s ease,
    border-color 0.4s ease transform 0.4s ease;

  svg {
    fill: none;
    stroke: #292929;
  }
}

#scrollTopBtn.show {
  opacity: 0.5;
  transform: translateY(0);
  pointer-events: auto;
}

#scrollTopBtn.show:hover {
  opacity: 1;
  background-color: #292929;

  svg {
    stroke: #fff;
  }
}

/* ********************* */

.hidden {
  display: none;
}

.menu-transform {
  transform: translateY(0);
}

.click {
  transform: rotate(135deg);
}

.popup-click {
  transform: translateY(130%) translateX(-50%);
}

.overflow {
  overflow: hidden;
}
